<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:32 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Fete (client 1.0 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Fete (client 1.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/Fete.html" target="_top">Frames</a></li>
<li><a href="Fete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.lanolin.lib.fete</div>
<h2 title="Class Fete" class="title">Class Fete</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>ru.lanolin.lib.fete.Fete</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../ru/lanolin/additions/Celebrate.html" title="class in ru.lanolin.additions">Celebrate</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">Fete</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></pre>
<div class="block">Класс, описывающий Мероприятие</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete">Fete.Controller</a></span></code>
<div class="block">Класс Контроллер.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete">Fete.Controller</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#controller">controller</a></span></code>
<div class="block">Контроллер мероприятия.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete">DoLater</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#doLater">doLater</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> в котором храняться действия, которые необходимо сделать через определенный промежуток времени.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#guests">guests</a></span></code>
<div class="block">Коллекция, в которой храянтся все <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#situation">situation</a></span></code>
<div class="block">Текущая обстановка на мероприятии</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#startFete">startFete</a></span></code>
<div class="block">Началось мероприятие или нет</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#Fete-ru.lanolin.lib.enums.Situation-">Fete</a></span>(<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a>&nbsp;situation)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#addDoLater-ru.lanolin.lib.fete.DoLater-">addDoLater</a></span>(<a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete">DoLater</a>&nbsp;doLate)</code>
<div class="block">Добавляем действие, которое неоюходимо сделать через определенный промежуток времени.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete">Fete.Controller</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#getController--">getController</a></span>()</code>
<div class="block">Получаем контроллер управления ммероприятием</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#getGuests--">getGuests</a></span>()</code>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#getSituation--">getSituation</a></span>()</code>
<div class="block">Получаем ситуацию</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#isStartFete--">isStartFete</a></span>()</code>
<div class="block">Получает, в каком состоянии находится мероприятие</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#setSituation-ru.lanolin.lib.enums.Situation-">setSituation</a></span>(<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a>&nbsp;s)</code>
<div class="block">Устанавливает обстановку на мероприятии</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#setStartFete-boolean-">setStartFete</a></span>(boolean&nbsp;startFete)</code>
<div class="block">Установить началось ли мероприятие</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#sizeGuest--">sizeGuest</a></span>()</code>
<div class="block">Получаем количество участников на мероприятии</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ru/lanolin/lib/fete/Fete.html#tick-long-">tick</a></span>(long&nbsp;time)</code>
<div class="block">Выполняет один проход по рандомнуму действию</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ru.lanolin.lib.fete.DoFete">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;ru.lanolin.lib.fete.<a href="../../../../ru/lanolin/lib/fete/DoFete.html" title="interface in ru.lanolin.lib.fete">DoFete</a></h3>
<code><a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#addParticipants-java.util.List-">addParticipants</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipants-java.util.List-">leaveParticipants</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#startFete--">startFete</a>, <a href="../../../../ru/lanolin/lib/fete/DoFete.html#stopFate--">stopFate</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="guests">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>guests</h4>
<pre>protected final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt; guests</pre>
<div class="block">Коллекция, в которой храянтся все <a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</li>
</ul>
<a name="doLater">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doLater</h4>
<pre>private&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete">DoLater</a>&gt; doLater</pre>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> в котором храняться действия, которые необходимо сделать через определенный промежуток времени.</div>
</li>
</ul>
<a name="situation">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>situation</h4>
<pre>private&nbsp;<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a> situation</pre>
<div class="block">Текущая обстановка на мероприятии</div>
</li>
</ul>
<a name="startFete">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startFete</h4>
<pre>private&nbsp;boolean startFete</pre>
<div class="block">Началось мероприятие или нет</div>
</li>
</ul>
<a name="controller">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>controller</h4>
<pre>private final&nbsp;<a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete">Fete.Controller</a> controller</pre>
<div class="block">Контроллер мероприятия. Отвечает за выполенения действий</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Fete-ru.lanolin.lib.enums.Situation-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Fete</h4>
<pre>public&nbsp;Fete(<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a>&nbsp;situation)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getGuests--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGuests</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;getGuests()</pre>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a></dd>
</dl>
</li>
</ul>
<a name="getSituation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSituation</h4>
<pre>public&nbsp;<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a>&nbsp;getSituation()</pre>
<div class="block">Получаем ситуацию</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums"><code>Situation</code></a></dd>
</dl>
</li>
</ul>
<a name="addDoLater-ru.lanolin.lib.fete.DoLater-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addDoLater</h4>
<pre>public&nbsp;void&nbsp;addDoLater(<a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete">DoLater</a>&nbsp;doLate)</pre>
<div class="block">Добавляем действие, которое неоюходимо сделать через определенный промежуток времени.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>doLate</code> - <a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete"><code>DoLater</code></a></dd>
</dl>
</li>
</ul>
<a name="setSituation-ru.lanolin.lib.enums.Situation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSituation</h4>
<pre>public&nbsp;void&nbsp;setSituation(<a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums">Situation</a>&nbsp;s)</pre>
<div class="block">Устанавливает обстановку на мероприятии</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - <a href="../../../../ru/lanolin/lib/enums/Situation.html" title="enum in ru.lanolin.lib.enums"><code>Situation</code></a> другая обстановка</dd>
</dl>
</li>
</ul>
<a name="tick-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tick</h4>
<pre>private&nbsp;void&nbsp;tick(long&nbsp;time)</pre>
<div class="block">Выполняет один проход по рандомнуму действию</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>time</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang"><code>Long</code></a> текущее время.</dd>
</dl>
</li>
</ul>
<a name="isStartFete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStartFete</h4>
<pre>public&nbsp;boolean&nbsp;isStartFete()</pre>
<div class="block">Получает, в каком состоянии находится мероприятие</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><code>Boolean</code></a></dd>
</dl>
</li>
</ul>
<a name="setStartFete-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStartFete</h4>
<pre>public&nbsp;void&nbsp;setStartFete(boolean&nbsp;startFete)</pre>
<div class="block">Установить началось ли мероприятие</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>startFete</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang"><code>Boolean</code></a></dd>
</dl>
</li>
</ul>
<a name="sizeGuest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sizeGuest</h4>
<pre>public&nbsp;int&nbsp;sizeGuest()</pre>
<div class="block">Получаем количество участников на мероприятии</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang"><code>Integer</code></a></dd>
</dl>
</li>
</ul>
<a name="getController--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getController</h4>
<pre>public&nbsp;<a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete">Fete.Controller</a>&nbsp;getController()</pre>
<div class="block">Получаем контроллер управления ммероприятием</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete"><code>Fete.Controller</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Fete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/lanolin/lib/fete/DoLater.html" title="interface in ru.lanolin.lib.fete"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/lanolin/lib/fete/Fete.Controller.html" title="class in ru.lanolin.lib.fete"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/lanolin/lib/fete/Fete.html" target="_top">Frames</a></li>
<li><a href="Fete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
